EDIT - feature request #4770

Allow convert person to team
04/01/2015 04:38 AM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: cdmlib RELEASE 3.5.2

Severity: normal

Description

see also #4769
bulk editor implementation: #4908

Open issue:

Related issues:

Related to EDIT - feature request #4908: adding convert Team to Person and Pe... Closed
Related to EDIT - feature request #4769: Allow convert team to person Closed
Related to EDIT - bug #5163: Converting persons to team members may result in... Closed

Associated revisions

Revision 2b772077 - 12/21/2020 03:14 PM - Andreas Miiller

ref #4770 fix handling nomenclatural title for convertPerson2Team

Revision a7cbfd9c - 12/21/2020 10:39 PM - Andreas Miiller

ref #4770 fix clone for AgentBase.contact

Revision d7943997 - 12/21/2020 10:45 PM - Andreas Miiller

ref #4770 handle unprotected titlecache for person2Team converter and some finetuning for empty persons

Revision 58a9c0ab - 12/21/2020 11:09 PM - Andreas Miiller

ref #4770, ref #4908 handle person is null in person2Team converter

Revision 01f597fe - 12/21/2020 11:31 PM - Andreas Miiller

ref #4770, ref #4908 add test for person is null in person2Team converter

Revision 304fcfc8 - 12/22/2020 12:07 AM - Andreas Miiller

ref #4770, ref #4908, ref #5163 assert that team has protected nomenclatural title after convertPerson2Team

Revision 6057b354 - 12/22/2020 09:48 AM - Andreas Miiller

ref #4770, ref #4908, ref #5163 some finetuning on convertPerson2Team

Revision f8fa7762 - 12/22/2020 10:10 AM - Andreas Miiller

ref #4770, ref #4908, ref #5163 try to remove explicit setting of protected nomecncl. title in convertPerson2Team

Revision dc310f85 - 12/22/2020 10:51 AM - Andreas Miiller

ref #4770, ref #4908, ref #5163 remove commented line as it seems to work now

History

#1 - 04/01/2015 05:15 AM - Andreas Miiller
- Priority changed from Priority08 to Highest
https://dev.e-taxonomy.eu/redmine/issues/4769
https://dev.e-taxonomy.eu/redmine/issues/4908

first implementation: r23284

#2 - 04/11/2015 10:11 AM - Andreas Miiller

- Status changed from New to In Progress

#3 - 05/04/2015 05:08 PM - Andreas Miiller
- Target version changed from cdmlib RELEASE 3.5.1 to cdmlib RELEASE 3.5.2

move open 3.5.1 tickets to next milestone after release

#4 - 12/18/2015 12:30 PM - Andreas Miller

- Status changed from In Progress to Resolved

Is this fixed?

#5 - 12/21/2020 03:12 PM - Andreas Miller

- Related to feature request #4908: adding convert Team to Person and Person to Team to the bulk editor added

#6 - 12/21/2020 10:14 PM - Andreas Miller
- Description updated

- Private changed from Yes to No

#7 - 12/21/2020 10:46 PM - Andreas Miiller
- Description updated
- Status changed from Resolved to Closed

- % Done changed from 0 to 100

the open issue is fixed now. We can close the ticket

#8 - 12/21/2020 11:34 PM - Andreas Miiller

- Related to feature request #4769: Allow convert team to person added

#9 - 12/21/2020 11:36 PM - Andreas Miiller

- Related to bug #5163: Converting persons to team members may result in "-empty team-" added
